@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@300;400;500;600;700;800&family=Outfit:wght@400;500;600;700;800&display=swap');

:root {
    /* COLORS */
    --primary: #034078;
    --primary-dark: #0A1128;
    --primary-light: #1282A2;

    --secondary: #FEFCFB;

    --white: #ffffff;
    --black: #1e293b;
    --gray: #64748b;

    --soft: #f8fafc;
    --border: #dbeafe;

    --shadow: rgba(6, 182, 212, 0.15);

    /* TYPOGRAPHY */
    --font-heading: 'Outfit', sans-serif;
    --font-body: 'Manrope', sans-serif;

    /* RADIUS */
    --radius-sm: 12px;
    --radius-md: 18px;
    --radius-lg: 24px;

    /* TRANSITION */
    --transition: 0.3s ease;
}

body.auth {
    font-family: var(--font-body);
    overflow: hidden;
    height: 100%;
    opacity: 0;
}

body.auth.loaded {
    opacity: 1;
}

.auth .navbar {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

::after,
::before,
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

.wrapper {
    display: flex;
    height: 100vh;
}


/* CUSTOM SCROLLBAR */
::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: var(--soft);
}

::-webkit-scrollbar-thumb {
    background: linear-gradient(to bottom,
            var(--primary),
            var(--primary-light));
    border-radius: 20px;
}

.main {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
    transition: all 0.35s ease-in-out;
    background-color: #fff;
    min-width: 0;
    overflow-y: scroll;
}

main.content {
    min-height: fit-content;
    height: 100%;
}

#sidebar {
    width: 70px;
    min-width: 70px;
    z-index: 999;
    display: flex;
    flex-direction: column;
    background-color: var(--primary);
}

.sidebar-transition {
    transition: all .25s ease-in-out;
}

#sidebar.expand {
    width: 260px;
    min-width: 260px;
}

.toggle-btn {
    background-color: transparent;
    cursor: pointer;
    border: 0;
}

.toggle-btn i {
    font-size: 50px;
    color: #ffffff;
}

.sidebar-app-name {
    margin: auto 0;
}

.sidebar-app-name a {
    color: #FFF;
    font-size: 16px;
    font-weight: 600;
}

#sidebar:not(.expand) .sidebar-app-name,
#sidebar:not(.expand) a.sidebar-link span {
    display: none;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.sidebar-nav {
    padding: 0;
    margin: 32px 0 10px 0;
    flex: 1 1 auto;
    overflow-y: auto;
}

a.sidebar-link {
    color: #FFF;
    display: block;
    font-size: 14px;
    white-space: nowrap;
    border-radius: 5px;
}

#sidebar.expand a.sidebar-link {
    padding: 10px 26px;
}

#sidebar a.sidebar-link {
    padding: 10px 20px;
}

.first-sidebar-item {
    margin: 3px 7px;
}

a.sidebar-link.active {
    color: var(--primary);
    background-color: #FFF;
}

.sidebar-link i,
.dropdown-item i {
    font-size: 17px;
    margin-right: 12px;
}

.sidebar-item {
    position: relative;
}

#sidebar:not(.expand) .sidebar-item .sidebar-dropdown {
    position: absolute;
    top: 0;
    left: 70px;
    padding: 0;
    min-width: 240px;
    display: none;
}

#sidebar:not(.expand) .sidebar-item:hover .has-dropdown+.sidebar-dropdown {
    display: block;
    max-height: 240px;
    width: 100%;
    opacity: 1;
}

#sidebar.expand .sidebar-link[data-bs-toggle="collapse"]::after {
    border: solid;
    border-width: 0 2px 2px 0;
    content: "";
    display: inline-block;
    padding: 3px;
    position: absolute;
    right: 24px;
    top: 22px;
    transform: rotate(-135deg);
    transition: all .2s ease-out;
}

#sidebar.expand .sidebar-link[data-bs-toggle="collapse"].collapsed::after {
    transform: rotate(45deg);
    transition: all .2s ease-out;
    top: 15px;
}

.navbar-expand .navbar-collapse {
    min-width: 200px;
}

nav {
    transition: all .3s ease-out;
}

.avatar {
    height: 30px;
    width: 30px;
    border-radius: 50%;
}

.card {
    border: none;
    margin-bottom: 30px;
}

.dash-icon {
    font-size: 30px;
}

#sidebar.expand a.sidebar-link span {
    margin-left: 10px;
}

.stat-icon {
    width: 3rem;
    height: 3rem;
}


.stat-icon i {
    font-size: 2.25rem;
}

.stat-icon-shape {
    display: inline-flex;
    padding: 12px;
    text-align: center;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
}

.stat-icon-shape i {
    font-size: 1.25rem;
}

.auth .developer {
    color: var(--primary-dark);
}

/* BREADCRUMBS */
.breadcrumbs {
    padding: 20px 0;
    background: #f8fbff;
    border-bottom: 1px solid var(--border);
}

.breadcrumb-list {
    display: flex;
    align-items: center;
    gap: 10px;
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: 14px;
    color: var(--gray);
}

.breadcrumb-list li {
    display: flex;
    align-items: center;
    gap: 10px;
}

.breadcrumb-list li a {
    color: var(--primary-dark);
    font-weight: 600;
    text-decoration: none;
}

.breadcrumb-list li a:hover {
    color: var(--primary);
}

.breadcrumb-list li::after {
    content: "/";
    color: var(--gray);
    margin-left: 10px;
}

.breadcrumb-list li:last-child::after {
    display: none;
}

.breadcrumb-list .active {
    color: var(--black);
    font-weight: 700;
}

.user-initials {
    background-color: var(--primary);
    height: 40px;
    width: 40px;
}

.pagination .page-link,
table td,
table th,
.form-select,
.form-control,
.swal2-show,
.form-check-label, .navbar .dropdown-item {
    font-size: 14px;
}

.auth .btn-sm,
.swal2-actions button {
    padding: 6px 12px;
}

.auth .table-action .btn-sm {
    padding: 4px 8px;
}

div:where(.swal2-icon).swal2-warning {
    border-color: #dc3545 !important;
    color: #dc3545 !important;
}

.auth #error_page {
    min-height: 75vh;
}

.table-responsive::-webkit-scrollbar {
    height: 6px;
    width: 6px;
}

.fc .fc-button-primary {
    background-color: var(--primary);
    border-color: var(--primary);
    color: #fff;
}

.fc .fc-button-primary:not(:disabled).fc-button-active,
.fc .fc-button-primary:not(:disabled):active,
.fc .fc-button-primary:hover {
    background-color: var(--primary-dark);
    border-color: var(--primary-dark);
    color: #fff;
}

.welcome-card {
    background-color: var(--primary);
}

.dashboard-icon {
    width: 40px;
    height: 40px;
}

.user-initials-dashboard {
    width: 100px;
    height: 100px;
    font-size: 2.25rem;
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(4px);
}

a.statistic-link {
    color: var(--primary);
}

.navbar .dropdown-item {
    color: var(--primary-dark);
}

.navbar .dropdown-item:hover {
    color: var(--white);
    background-color: var(--primary);
}

#online-meet-container {
    height: 76vh;
}

#logo-preview-wrapper img {
    max-height: 50px;
}

.sidebar-logo img {
    max-height: 50px;
}